import { __rest } from 'tslib';
import { createElement, useRef, useEffect } from 'react';
import { highlightWidgetManager } from '@puzzlelabs/puzzle-glossary';

const PageWidget = (_a) => {
    var { apiKey } = _a, props = __rest(_a, ["apiKey"]);
    return createElement('page-widget', Object.assign({ 'api-key': apiKey }, props));
};

const HighlightZone = (_a) => {
    var _b;
    var { as = 'span' } = _a, props = __rest(_a, ["as"]);
    const ref = useRef();
    const mark = () => ref.current && highlightWidgetManager.ready && highlightWidgetManager.mark([ref.current]);
    useEffect(() => highlightWidgetManager.subscribe(mark), []);
    useEffect(() => mark, [props.children, (_b = props.dangerouslySetInnerHTML) === null || _b === void 0 ? void 0 : _b.__html]);
    return createElement(as, Object.assign(Object.assign({}, props), { ref, onInput: event => {
            var _a;
            (_a = props.onInput) === null || _a === void 0 ? void 0 : _a.call(props, event);
            mark();
        } }));
};

export { HighlightZone, PageWidget };
