'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const tslib = require('tslib');
const react = require('react');
const puzzleGlossary = require('@puzzlelabs/puzzle-glossary');

const PageWidget = (_a) => {
    var { apiKey } = _a, props = tslib.__rest(_a, ["apiKey"]);
    return react.createElement('page-widget', Object.assign({ 'api-key': apiKey }, props));
};

const HighlightZone = (_a) => {
    var _b;
    var { as = 'span' } = _a, props = tslib.__rest(_a, ["as"]);
    const ref = react.useRef();
    const mark = () => ref.current && puzzleGlossary.highlightWidgetManager.ready && puzzleGlossary.highlightWidgetManager.mark([ref.current]);
    react.useEffect(() => puzzleGlossary.highlightWidgetManager.subscribe(mark), []);
    react.useEffect(() => mark, [props.children, (_b = props.dangerouslySetInnerHTML) === null || _b === void 0 ? void 0 : _b.__html]);
    return react.createElement(as, Object.assign(Object.assign({}, props), { ref, onInput: event => {
            var _a;
            (_a = props.onInput) === null || _a === void 0 ? void 0 : _a.call(props, event);
            mark();
        } }));
};

exports.HighlightZone = HighlightZone;
exports.PageWidget = PageWidget;
